ZF-4988: Unable to use (former) Zend Tool in incubator with environment PATHs

Description

Hi,

I tested Zend Tool with the brand new 1.7.0 version, and, the thing is that, it seems to me that there's an error in some tests for the file /incubator/bin/zf.php

From line 9: if ($zendFrameworkPathOverride = getenv('ZF_PATH') != '') { $zendFrameworkPath = $zendFrameworkPathOverride; }

$zendFrameworkPathOverride is always set as 1 if you got something in your ZF_PATH.

If you write the test on that way, this seems to work: if ('' != $zendFrameworkPathOverride = getenv('ZF_PATH'))

This really is a small thing, and it might be already fixed, or it's just bugging on my config, don't know.

Config: Windows XP SP3 PHP 5.2.6

Thank you.

Scorpe51

Comments

Set component

This has been resolved by the fix in ZF-6413. There is an error screen inside zf.php as well as forthcoming documentation on this issue.